////////////////////////////////////////////////////////////////////////////////////
//
// NyanCanSystem v2b - NyanCanGhostInventory
//
////////////////////////////////////////////////////////////////////////////////////

class NyanCanGhostInventory expands RelicInventory;

#exec MESH IMPORT MESH=NyanCanGhost ANIVFILE=MODELS\NyanCatCan_a.3d DATAFILE=MODELS\NyanCatCan_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=NyanCanGhost X=0 Y=0 Z=0
#exec MESH SEQUENCE MESH=NyanCanGhost SEQ=All STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=NyanCanGhost SEQ=Still STARTFRAME=0 NUMFRAMES=1
#exec MESHMAP NEW MESHMAP=NyanCanGhost MESH=NyanCanGhost 
#exec MESHMAP SCALE MESHMAP=NyanCanGhost X=0.4 Y=0.4 Z=0.80
#exec TEXTURE IMPORT NAME=NyanCanGhostBody FILE=Textures\CanSkins\NyanCanGhostBody.bmp GROUP=CanSkins lodset=2 
#exec TEXTURE IMPORT NAME=NyanCanGhostTop FILE=Textures\CanSkins\NyanCanGhostTop.bmp GROUP=CanSkins lodset=2 
#exec MESHMAP SETTEXTURE MESHMAP=NyanCanGhost NUM=0 TEXTURE=NyanCanSystem2c.CanSkins.NyanCanGhostBody
#exec MESHMAP SETTEXTURE MESHMAP=NyanCanGhost NUM=1 TEXTURE=NyanCanSystem2c.CanSkins.NyanCanGhostTop

state Activated
{
	function endstate()
	{
		local Inventory S;

		bActive = false;		

		Owner.SetDefaultDisplayProperties();
		S = Pawn(Owner).FindInventoryType(class'UT_ShieldBelt');
		if ( (S != None) && (UT_Shieldbelt(S).MyEffect != None) )
			UT_Shieldbelt(S).MyEffect.bHidden = false;
	}

	function Activate()
	{
		bActive = true;
		SetOwnerDisplay();
	}

	function SetOwnerDisplay()
	{
		if (!bActive)
			return;
		Owner.SetDisplayProperties(ERenderStyle.STY_Translucent, 
							 FireTexture'unrealshare.Belt_fx.Invis',
							 true,
							 true);
		if(Inventory != None)
			Inventory.SetOwnerDisplay();
	}

	function ChangedWeapon()
	{
		if (!bActive)
			return;

		if (Inventory != None)
			Inventory.ChangedWeapon();

		// Make new weapon invisible.
		if (Pawn(Owner).Weapon != None)
			Pawn(Owner).Weapon.SetDisplayProperties(ERenderStyle.STY_Translucent, 
									 FireTexture'Unrealshare.Belt_fx.Invis',
									 true,
									 true);
	}

	function BeginState()
	{
		local Inventory S;

		bActive = true;

		Owner.SetDisplayProperties(ERenderStyle.STY_Translucent, 
								   FireTexture'unrealshare.Belt_fx.Invis',
								   false,
								   true);

		S = Pawn(Owner).FindInventoryType(class'UT_ShieldBelt');
		if ((S != None) && (UT_Shieldbelt(S).MyEffect != None))
			UT_Shieldbelt(S).MyEffect.bHidden = true;
	}
}

state DeActivated
{
Begin:
}

defaultproperties
{
    ItemName="Nyan Can Ghost"
    DrawType=DT_Mesh
    bRotatingPickup=True
    PickupMessage="You picked up the Nyan Can of Invisibility !"
    PickupViewMesh=Mesh'NyanCanGhost'
    Mesh=LodMesh'NyanCanGhost'
    PickupViewScale=0.50
    Icon=Texture'NyanCanSystem2c.Icons.NyanIconGhost'
    Physics=5
    RemoteRole=1
    CollisionHeight=40.00
    Rotation=(Pitch=15000,Yaw=15000,Roll=15000)
    RotationRate=(Pitch=15000,Yaw=15000,Roll=15000)
}