////////////////////////////////////////////////////////////////////////////////////
//
// NyanCanSystem v2b - NyanCanJumpInventory
//
////////////////////////////////////////////////////////////////////////////////////

class NyanCanJumpInventory expands RelicInventory;

#exec MESH IMPORT MESH=NyanCanJump ANIVFILE=MODELS\NyanCatCan_a.3d DATAFILE=MODELS\NyanCatCan_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=NyanCanJump X=0 Y=0 Z=0
#exec MESH SEQUENCE MESH=NyanCanJump SEQ=All STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=NyanCanJump SEQ=Still STARTFRAME=0 NUMFRAMES=1
#exec MESHMAP NEW MESHMAP=NyanCanJump MESH=NyanCanJump 
#exec MESHMAP SCALE MESHMAP=NyanCanJump X=0.4 Y=0.4 Z=0.80
#exec TEXTURE IMPORT NAME=NyanCanJumpBody FILE=Textures\CanSkins\NyanCanJumpBody.bmp GROUP=CanSkins lodset=2 
#exec TEXTURE IMPORT NAME=NyanCanJumpTop FILE=Textures\CanSkins\NyanCanJumpTop.bmp GROUP=CanSkins lodset=2 
#exec MESHMAP SETTEXTURE MESHMAP=NyanCanJump NUM=0 TEXTURE=NyanCanSystem2c.CanSkins.NyanCanJumpBody
#exec MESHMAP SETTEXTURE MESHMAP=NyanCanJump NUM=1 TEXTURE=NyanCanSystem2c.CanSkins.NyanCanJumpTop


var int TimeCharge;

function PickupFunction(Pawn Other)
{
	TimeCharge = 0;
	SetTimer(1.0, True);
}

function ResetOwner()
{
	local pawn P;

	P = Pawn(Owner);
	P.JumpZ = P.Default.JumpZ * Level.Game.PlayerJumpZScaling();
	if (Level.Game.IsA('DeathMatchPlus'))
		P.AirControl = DeathMatchPlus(Level.Game).AirControl;
	else
		P.AirControl = P.Default.AirControl;
	P.bCountJumps = False;
}

function OwnerJumped()
{
	if (!Pawn(Owner).bIsWalking)
	{
		TimeCharge=0;
		Owner.PlaySound(Sound'UnrealI.Pickups.BootJmp');						
	}

	if (Inventory != None)
	{
		Inventory.OwnerJumped();
	}
}

function Timer()
{
	if (!Pawn(Owner).bAutoActivate)
	{	
		TimeCharge++;
		if (TimeCharge>20)
		{
			OwnerJumped();
			TimeCharge = 0;
		}
	}
}

state Activated
{
	function endstate()
	{
		ResetOwner();
		bActive = false;		
	}
Begin:
	Pawn(Owner).bCountJumps = True;
	Pawn(Owner).AirControl = 1.0;
	Pawn(Owner).JumpZ = Pawn(Owner).Default.JumpZ * 3.5;
	
}

state DeActivated
{
Begin:		
}

defaultproperties
{
    ItemName="Nyan Can Jump"
    DrawType=DT_Mesh
    bRotatingPickup=True
    PickupMessage="You picked up the Nyan Can of Super Jump !"
    PickupViewMesh=Mesh'NyanCanJump'
    Mesh=LodMesh'NyanCanJump'
    PickupViewScale=0.50
    Icon=Texture'NyanCanSystem2c.Icons.NyanIconJump'
    Physics=5
    CollisionHeight=40.00
    Rotation=(Pitch=15000,Yaw=15000,Roll=15000)
    RotationRate=(Pitch=15000,Yaw=15000,Roll=15000)
}