////////////////////////////////////////////////////////////////////////////////////
//
// NyanCanSystem v2b - NyanCanRedemptionInventory
//
////////////////////////////////////////////////////////////////////////////////////

class NyanCanRedemptionInventory expands RelicInventory;

#exec MESH IMPORT MESH=NyanCanRedemption ANIVFILE=MODELS\NyanCatCan_a.3d DATAFILE=MODELS\NyanCatCan_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=NyanCanRedemption X=0 Y=0 Z=0
#exec MESH SEQUENCE MESH=NyanCanRedemption SEQ=All STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=NyanCanRedemption SEQ=Still STARTFRAME=0 NUMFRAMES=1
#exec MESHMAP NEW MESHMAP=NyanCanRedemption MESH=NyanCanRedemption 
#exec MESHMAP SCALE MESHMAP=NyanCanRedemption X=0.4 Y=0.4 Z=0.80
#exec TEXTURE IMPORT NAME=NyanCanRedemptionBody FILE=Textures\CanSkins\NyanCanRedemptionBody.bmp GROUP=CanSkins lodset=2 
#exec TEXTURE IMPORT NAME=NyanCanRedemptionTop FILE=Textures\CanSkins\NyanCanRedemptionTop.bmp GROUP=CanSkins lodset=2 
#exec MESHMAP SETTEXTURE MESHMAP=NyanCanRedemption NUM=0 TEXTURE=NyanCanSystem2c.CanSkins.NyanCanRedemptionBody
#exec MESHMAP SETTEXTURE MESHMAP=NyanCanRedemption NUM=1 TEXTURE=NyanCanSystem2c.CanSkins.NyanCanRedemptionTop

function inventory PrioritizeArmor( int Damage, name DamageType, vector HitLocation )
{
	local int ArmorDamage, PointNumber, PointCount;
	local Pawn Victim;
	local NavigationPoint NP;

	Victim = Pawn(Owner);
	if ((Victim == None) || (Victim.Health - Damage > 0))
		return Super.PrioritizeArmor(Damage, DamageType, HitLocation);

	// Redeem this poor soul.
	PointNumber = Rand(MyRelic.NumPoints);
	for (NP = Level.NavigationPointList; NP != None; NP = NP.NextNavigationPoint)
	{
		if (NP.IsA('PathNode'))
		{
			if (PointCount == PointNumber)
			{
				if ((Victim.PlayerReplicationInfo.HasFlag != None) && Victim.PlayerReplicationInfo.HasFlag.IsA('CTFFlag'))
					Victim.PlayerReplicationInfo.HasFlag.Drop(vect(0,0,0));

				Spawn(class'RelicSpawnEffect', Victim,, Victim.Location, Victim.Rotation);

				Victim.SetLocation(NP.Location);
				if (Victim.IsA('PlayerPawn'))
					PlayerPawn(Victim).SetFOVAngle(170);

				Victim.Health = 100;
				Victim.AddVelocity(vect(0,0,-1000));
			}
			PointCount++;
		}
	}

	// Move the relic.
	Victim.DeleteInventory(self);
	Destroy();
	NextArmor = None;
	Return self;
}

//
// Absorb damage.
//
function int ArmorAbsorbDamage(int Damage, name DamageType, vector HitLocation)
{
	if (Pawn(Owner) != None)
		Pawn(Owner).Health = 100;
	return 0;
}

defaultproperties
{
    ItemName="Nyan Can Redemption"
    DrawType=DT_Mesh
    bRotatingPickup=True
    PickupMessage="You picked up the Nyan Can of Redemption !"
    PickupViewMesh=Mesh'NyanCanRedemption'
    Mesh=LodMesh'NyanCanRedemption'
    PickupViewScale=0.50
    Icon=Texture'NyanCanSystem2c.Icons.NyanIconRedemption'
    Physics=5
    CollisionHeight=40.00
    Rotation=(Pitch=15000,Yaw=15000,Roll=15000)
    RotationRate=(Pitch=15000,Yaw=15000,Roll=15000)
}

