////////////////////////////////////////////////////////////////////////////////////
//
// NyanCanSystem v2c - NyanCanRegenAmmoInventory
//
////////////////////////////////////////////////////////////////////////////////////

class NyanCanRegenAmmoInventory expands RelicInventory;

#exec MESH IMPORT MESH=NyanCanRegenAmmo ANIVFILE=MODELS\NyanCatCan_a.3d DATAFILE=MODELS\NyanCatCan_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=NyanCanRegenAmmo X=0 Y=0 Z=0
#exec MESH SEQUENCE MESH=NyanCanRegenAmmo SEQ=All STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=NyanCanRegenAmmo SEQ=Still STARTFRAME=0 NUMFRAMES=1
#exec MESHMAP NEW MESHMAP=NyanCanRegenAmmo MESH=NyanCanRegenAmmo 
#exec MESHMAP SCALE MESHMAP=NyanCanRegenAmmo X=0.4 Y=0.4 Z=0.80
#exec TEXTURE IMPORT NAME=NyanCanRegenAmmoBody FILE=Textures\CanSkins\NyanCanRegenAmmoBody.bmp GROUP=CanSkins lodset=2 
#exec TEXTURE IMPORT NAME=NyanCanRegenAmmoTop FILE=Textures\CanSkins\NyanCanRegenAmmoTop.bmp GROUP=CanSkins lodset=2 
#exec MESHMAP SETTEXTURE MESHMAP=NyanCanRegenAmmo NUM=0 TEXTURE=NyanCanSystem2c.CanSkins.NyanCanRegenAmmoBody
#exec MESHMAP SETTEXTURE MESHMAP=NyanCanRegenAmmo NUM=1 TEXTURE=NyanCanSystem2c.CanSkins.NyanCanRegenAmmoTop

#exec AUDIO IMPORT FILE=Sounds\NyanCanRegenAmmo.wav NAME=NyanCanRegenAmmo GROUP=NyanCanSounds

var vector InstFog;
var float InstFlash;
var string AmmoAlertMessage;
//var int CurrentAmmo;
//var Weapon W;

state Activated
{
	function Timer()
	{
		if ((Owner != None) && Owner.bIsPawn)
		{
			if (Pawn(Owner).Weapon.AmmoType.AmmoAmount < Pawn(Owner).Weapon.AmmoType.MaxAmmo)
			{
				Pawn(Owner).Weapon.AmmoType.AmmoAmount = FMin(Pawn(Owner).Weapon.AmmoType.MaxAmmo, Pawn(Owner).Weapon.AmmoType.AmmoAmount + 1);
				FlashShell(0.3);

				if (Owner.IsA('PlayerPawn'))
				{
					PlayerPawn(Owner).ClientPlaySound(sound'NyanCanRegenAmmo', False);
					PlayerPawn(Owner).ClientInstantFlash(InstFlash, InstFog);
				}
			}
		}

		Super.Timer();
	}

	function BeginState()
	{
		Super.BeginState();

		/*
		////////////////////////////////////////////////////////////////////////
		// code used to determine the ammo available of Nyan Cat Deemer before taking Nyan Can Regen Ammo
		ForEach AllActors(class'Weapon', W)
		{
			if (!W.IsA('Translocator'))
			{
				CurrentAmmo = W.AmmoType.AmmoAmount;
				// log("Before taking can, ammo value is " $ string(CurrentAmmo));
			}
		}
		////////////////////////////////////////////////////////////////////////
		*/

		SetTimer(2.0, True);
	}

	function EndState()
	{
		SetTimer(0.0, False);
		Super.EndState();

		if ((Owner != None) && Owner.bIsPawn)
		{	
			/*
			////////////////////////////////////////////////////////////////////////			
			ForEach AllActors(class'Weapon', W)
			{
				if (!W.IsA('Translocator'))
				{
					W.AmmoType.AmmoAmount = CurrentAmmo;
					// log("After releasing can, ammo value is " $ string(CurrentAmmo));
				}
			}
			////////////////////////////////////////////////////////////////////////
			*/

			Pawn(Owner).ReceiveLocalizedMessage(class'NyanCanRegenAmmoAlert', 0, None, None, Self.Class);	
		}
	}
}

state DeActivated
{
Begin:
	

}

defaultproperties
{
    ItemName="Nyan Can Regen Ammo"
    InstFog=(X=475.00,Y=325.00,Z=145.00)
    InstFlash=-0.40
    DrawType=DT_Mesh
    bRotatingPickup=True
    ShellSkin=Texture'NyanCanSystem2c.Skins.RelicRed'
    PickupMessage="You picked up the Nyan Can of Ammo Regeneration !"
    PickupViewMesh=Mesh'NyanCanRegenAmmo'
    Mesh=LodMesh'NyanCanRegenAmmo'
    PickupViewScale=0.50
    Icon=Texture'NyanCanSystem2c.Icons.NyanIconRegenAmmo'
    Physics=5
    CollisionHeight=40.00
    LightSaturation=0
    Rotation=(Pitch=15000,Yaw=15000,Roll=15000)
    RotationRate=(Pitch=15000,Yaw=15000,Roll=15000)
    AmmoAlertMessage="Beware, now you have no more ammo regeneration !";
}
