////////////////////////////////////////////////////////////////////////////////////
//
// NyanCanSystem v2c - NyanCanRegenHealthInventory
//
////////////////////////////////////////////////////////////////////////////////////

class NyanCanRegenHealthInventory expands RelicInventory;

#exec MESH IMPORT MESH=NyanCanRegenHealth ANIVFILE=MODELS\NyanCatCan_a.3d DATAFILE=MODELS\NyanCatCan_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=NyanCanRegenHealth X=0 Y=0 Z=0
#exec MESH SEQUENCE MESH=NyanCanRegenHealth SEQ=All STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=NyanCanRegenHealth SEQ=Still STARTFRAME=0 NUMFRAMES=1
#exec MESHMAP NEW MESHMAP=NyanCanRegenHealth MESH=NyanCanRegenHealth 
#exec MESHMAP SCALE MESHMAP=NyanCanRegenHealth X=0.4 Y=0.4 Z=0.80
#exec TEXTURE IMPORT NAME=NyanCanRegenHealthBody FILE=Textures\CanSkins\NyanCanRegenHealthBody.bmp GROUP=CanSkins lodset=2 
#exec TEXTURE IMPORT NAME=NyanCanRegenHealthTop FILE=Textures\CanSkins\NyanCanRegenHealthTop.bmp GROUP=CanSkins lodset=2 
#exec MESHMAP SETTEXTURE MESHMAP=NyanCanRegenHealth NUM=0 TEXTURE=NyanCanSystem2c.CanSkins.NyanCanRegenHealthBody
#exec MESHMAP SETTEXTURE MESHMAP=NyanCanRegenHealth NUM=1 TEXTURE=NyanCanSystem2c.CanSkins.NyanCanRegenHealthTop

#exec AUDIO IMPORT FILE=Sounds\NyanCanRegenHealth.wav NAME=NyanCanRegenHealth GROUP=NyanCanSounds

var vector InstFog;
var float InstFlash;
var string HealthAlertMessage;
//var int CurrentHealth;

state Activated
{
	function Timer()
	{
		if ((Owner != None) && Owner.bIsPawn)
		{
			if (Pawn(Owner).Health < 500)
			{
				Pawn(Owner).Health = FMin(500, Pawn(Owner).Health + 40);
				FlashShell(0.3);

				if (Owner.IsA('PlayerPawn'))
				{
					PlayerPawn(Owner).ClientPlaySound(sound'NyanCanRegenHealth', False);
					PlayerPawn(Owner).ClientInstantFlash(InstFlash, InstFog);
				}
			}
		}

		Super.Timer();
	}

	function BeginState()
	{
		Super.BeginState();

		////////////////////////////////////////////////////////////////////////
		// code used to determine the original health of the player before taking Nyan Can Regen Health

		//CurrentHealth = Pawn(Owner).Health;
		//log("Before taking can, health value is " $ string(CurrentHealth));
		////////////////////////////////////////////////////////////////////////

		SetTimer(2.0, True);
	}

	function EndState()
	{
		SetTimer(0.0, False);
		Super.EndState();

		if ((Owner != None) && Owner.bIsPawn)
		{	
			Pawn(Owner).Health = Pawn(Owner).Default.Health;
			//Pawn(Owner).Health = CurrentHealth;
			//log("After releasing can, health value is " $ string(CurrentHealth));

			Pawn(Owner).ReceiveLocalizedMessage(class'NyanCanRegenHealthAlert', 0, None, None, Self.Class);
		}
	}
}

defaultproperties
{
    ItemName="Nyan Can Regen Health"
    InstFog=(X=475.00,Y=325.00,Z=145.00)
    InstFlash=-0.40
    DrawType=DT_Mesh
    bRotatingPickup=True
    ShellSkin=Texture'NyanCanSystem2c.Skins.RelicBlue'
    PickupMessage="You picked up the Nyan Can of Health Regeneration !"
    PickupViewMesh=Mesh'NyanCanRegenHealth'
    Mesh=LodMesh'NyanCanRegenHealth'
    PickupViewScale=0.50
    Icon=Texture'NyanCanSystem2c.Icons.NyanIconRegenHealth'
    Physics=5
    CollisionHeight=40.00
    LightSaturation=0
    Rotation=(Pitch=15000,Yaw=15000,Roll=15000)
    RotationRate=(Pitch=15000,Yaw=15000,Roll=15000)
    HealthAlertMessage="Beware, now you have default health !";
}
